> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance Info

> Get info about current balance and total earnings for the site. Requires an organisational bearer token.



## OpenAPI

````yaml GET /rewards/{site_id}/info
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /rewards/{site_id}/info:
    get:
      tags:
        - 6. Rewards
      summary: Get Balance Info
      description: >-
        Get info about current balance and total earnings for the site. Requires
        an organisational bearer token.
      operationId: get_balance_info_rewards__site_id__info_get
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Site Id
          name: site_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceInfoResponse'
        '404':
          description: Site not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    BalanceInfoResponse:
      properties:
        current_balance_pence:
          type: integer
          title: Current Balance Pence
          description: >-
            Current balance of the site in pence (total earnings minus total
            withdrawals)
        total_earnings_pence:
          type: integer
          title: Total Earnings Pence
          description: Lifetime earnings of the site in pence
        minimum_withdrawal_threshold_pence:
          type: integer
          title: Minimum Withdrawal Threshold Pence
          description: The minimum a user can withdraw in one transaction, in pence
        withdrawal_min_wait_days:
          type: integer
          title: Withdrawal Min Wait Days
          description: >-
            The number of days a user must wait to withdraw after their first
            reward
        can_withdraw:
          type: boolean
          title: Can Withdraw
          description: Whether the user can withdraw their balance
      type: object
      required:
        - current_balance_pence
        - total_earnings_pence
        - minimum_withdrawal_threshold_pence
        - withdrawal_min_wait_days
        - can_withdraw
      title: BalanceInfoResponse
      description: Response model for site balance information.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````